# runcible-metabot

A Keybase chat bot for use in Drone.io pipelines for notifications.

## Instructions

There is an official Docker Image for Keybase clients
https://hub.docker.com/r/keybaseio/client

[New bot signup workflow](https://gist.github.com/androiddrew/df2e13d63dfd5b4e1d8f19c063ce6654)

## Docker

### Building and Pushing the image

Run from the root directory
```
docker login https://registry.runcible.io

docker build -f ./docker/Dockerfile -t registry.runcible.io/runcible-metabot:<optional_tag> .

docker push registry.runcible.io/runcible-metabot:<optional_tag>
```

### Running the container

```
docker run --rm -e KEYBASE_USERNAME="spoonbot" -e KEYBASE_PAPERKEY="$KEYBASE_PAPERKEY" -it runcible/runcible-metabot
```

### Debugging the container

You need to override the entrypoint script (`/usr/bin/entrypoint.sh`) with something else like just the bash bin.
```
docker run --rm -e KEYBASE_USERNAME="spoonbot" -e KEYBASE_PAPERKEY="$KEYBASE_PAPERKEY" -it --entrypoint=bash registry.runcible.io/runcible-metabot:0.0.1
```
